---
layout: page
title: Contributing
permalink: /contributing/
---

We encourage you to participate in this open source project. We love pull requests, bug reports, ideas, (security) code reviews or any kind of positive contribution.

Thank you for taking the time to contribute to one of Mozilla's Android projects!

Before contributing, please review our [Community Participation Guidelines](https://www.mozilla.org/en-US/about/governance/policies/participation/).

## Docs

* [Contributing to Mozilla Mobile's Android projects](https://github.com/mozilla-mobile/shared-docs/blob/master/android/CONTRIBUTING.md)
* [Contributing code to Mozilla's Android projects](https://github.com/mozilla-mobile/shared-docs/blob/master/android/CONTRIBUTING_code.md)

### Project

* [Hosting Android code in the Android Components repository]({{ site.baseurl }}{% link contribute/hosting_code_in_repository.md %})

### Development

* [Architecture and Overview]({{ site.baseurl }}/contributing/architecture)
* [Code coverage]({{ site.baseurl }}/contributing/code-coverage)
* [Working on unreleased component code in an app]({{ site.baseurl }}{% link contribute/components_inside_app.md %})

### Process

* [Release checklist]({{ site.baseurl }}/contributing/release-checklist)

### Presentations

* [GeckoView and Android components (June 2018)](https://onlinexperiences.com/Launch/Event.htm?ShowKey=44908&DisplayItem=E271804) **[Mozilla internal only]**